# REQUIRED PARAMETERS

# IP address or FQDN for the Flix Server to run on
hostname: flix001.mycompany.com

# Port number for the Flix Server to run on
http_port: 8080

# Address of the db server, IP or FQDN. It can be the same as the hostname if it's running on the same host as the Flix Server
mysql_hostname: db1.mycompany.com

# MySQL username with access to the Flix schema
mysql_username: my_username

# MySQL password corresponding to the MySQL username
mysql_password: my_password

# Licensing
# Address of the license server (if using floating licensing).
# floating_license_hostname: licserver.mycompany.com
# Port number for the license server to run on (if using floating licensing). The default port is 4101 (recommended).
# floating_license_port: 4101
# Path to the license directory (if using nodelocked licensing)
licence_directory: /usr/local/foundry


# RECOMMENDED PARAMETERS

# If you use the same shared storage accross all your Flix servers you should set shared_storage to true. Default is false. Requires 'asset_directory' below to also be set.
# shared_storage: True

# Path to where assets should be stored, defaults to the Flix Server install directory
# asset_directory: /mnt/flix/

# OPTIONAL PARAMETERS

# Authentication parameters to use LDAP/AD or Google Sign-on
# Make sure to only use either 'oauth' OR 'ldap', not both
# Username is the default authentication method, enter 'email'
# to authenticate by email address instead.

# Uncomment this section to use Google Sign-on
#oauth:
#  use_oauth: true
#  username: 
#  domain: "mycompany.com"
#  providers: 
#  - Google

##
# Uncomment this section to use AD/LDAP. 'bind_search' and 'bind_user' are optional if you don't require a lookup account in which case you should set 'self_auth' to true.
# use_ldap - enables LDAP authentication. Default is false.
# base - the base where Flix should look up for the user account.
# use_ssl - enable SSL encryption in the lookups. Default is false.
# self_auth - Use it if you don't have a service account to do LDAP/AD lookups. It will use the account and password the user is using to log in. Otherwise, use the bind_user and bind_pass options helow.
# bind_user - If you need to have an account to do LDAP/AD lookups provide the username (service account) which should do the lookups.
# bind_pass - The password for the bind_user account.
# user_search - If you have custom critarias for user lookups.
# dn - If you want the user to be search under. The 'base' setting will be use if this is not set
# filter - Filter to apply when search the directory. The default value is '(objectClass=groupofName)'.
# user_attr - The attribute to return from the user search to search for groups. Default is 'sAMAccountName'.
# group_attr - The attribute in the returned groups to link to the user. For example "memberUid".
# name_attr - The attribute to return from the group for its name. Usually 'displayName' or title.
# group_prefix - Only groups that start with this string will be added to Flix when a user logs in.
# group_suffix - Only groups that end with this string will be added to Flix when a user logs in.
# For more information on the user managment go to https://learn.foundry.com/flix/Content/install/user_management.html
##
#ldap:
#  use_ldap: true
#  base: dc=mycompany,dc=com
#  host: auth.mycompany.com
#  use_ssl: false
#  self_auth: true 
#  bind_user: bind_user
#  bind_pass: bind_password
#  user_search:
#    dn: ou=People,dc=mycompnay,dc=com
#    filter: (objectClass=organizationalPerson)
#    user_attr: uid
#    name_attr: displayName
#    email_attr: description
#  group_search:
#    dn: ou=Groups,dc=mycompany,dc=com
#    filter: (objectClass=posixGroup)
#    user_attr: uid
#    group_attr: member
#    name_attr: displayName
#    group_prefix: flix_
#    group_suffix: _flix

# Email parameters for editorial publish notifications
#smtp:
#  smtp_hostname: smtp.mycompany.com
#  smtp_port: 465
#  smtp_username: example@mycompany.com
#  smtp_password: my_password

# MySQL parameters, default values listed
#mysql_port: 3306
#mysql_database: flix

# Transcoding parameters, default values listed
#transcoder_jobs: 16
#max_thumbnail_height: 1000
#max_thumbnail_width: 1000
#publish_workers: 4

# Provide a location where the database backup file will go to
#db_back_directory: /mnt/flix/backup

# Logs
# Set log file size in  Megabytes. After this data limit is reached, the log file rotates and the older data is split off and stored in archived logs. Default is 5 MB
#max_log_mb: 5

# Set the filename and location for server logs. If the directory doesn't exist, Flix will create it. Default is flix_server.log in the flix_server directory
#log_file: /usr/local/foundry/flix_server.log

# Log lines contain values for the user who started that 'thread' of function calls, the clientID, and the originating server.
# This information can be toggled separately using 'true' or 'false'. All values are 'true' by default:
#log_thread_info:
    #user: true
    #client_id: true
    #server: true

# Path to access fonts. Flix needs the Ariel font for publishing. If you have it installed on the system, Flix will automatically find it. You can use this flag to point Flix to a custom font location.
#font_directory: /usr/local/foundry/fonts

# For more information go to https://learn.foundry.com/flix/Content/reference/server_options.html
